From: =?utf-8?q?Piotr_O=C5=BCarowski?= <piotr@debian.org>
Date: Sat, 29 Dec 2018 22:48:53 +0100
Subject: move media_path outside dist-packages

Note that previous version of this patch was also moving
paster_templates outside dist-packages but unfortunately it had to be
removed due to changes in pastescript 2.0.2-1
---
 pylons/middleware.py | 2 +-
 setup.py             | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/pylons/middleware.py b/pylons/middleware.py
index 887218b..363959e 100644
--- a/pylons/middleware.py
+++ b/pylons/middleware.py
@@ -18,7 +18,7 @@ __all__ = ['ErrorHandler', 'error_document_template',
 
 log = logging.getLogger(__name__)
 
-media_path = os.path.join(os.path.dirname(__file__), 'media')
+media_path = '/usr/share/python-pylons/media/'
 
 head_html = """\
 <link rel="stylesheet" href="{{prefix}}/media/pylons/style/itraceback.css" \
diff --git a/setup.py b/setup.py
index 3c73c27..5c2b913 100644
--- a/setup.py
+++ b/setup.py
@@ -113,7 +113,7 @@ http://docs.pylonsproject.org/projects/pylons-webframework/en/latest/
     url='https://github.com/Pylons/pylons',
     packages=find_packages(exclude=['ez_setup', 'tests', 'tests.*']),
     zip_safe=False,
-    include_package_data=True,
+    #include_package_data=True,
     test_suite='nose.collector',
     tests_require=tests_require,
     install_requires=[
